Subject: b19 CYGWIN32 environment variable strangeness
From: [email-masked] (Bruce Hunsaker)

4 Mar 1998 01:55:56 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 8bit
To: [email-masked]

Explain this (output from actual cmd.exe window):

	C:\>
	C:\>echo %CYGWIN32%
	notitle tty

	C:\>set CYGWIN32=notty

	C:\>echo %CYGWIN32%
	notty

	C:\>bash
	$ echo $CYGWIN32
	notitle tty
	$ exit
	exit

	C:\>echo %CYGWIN32%
	notty

Now if I go to ControlPanel->System->Environment and change the
System Variable CYGWIN32 (it is not set as a User variable) to
anything, and then change it back, clicking on Set then Apply
then OK, .. then if I exit the above cmd window and start a 
new one then I get:

	C:\>
	C:\>echo %CYGWIN32%
	notitle tty

	C:\>set CYGWIN32=notty

	C:\>echo %CYGWIN32%
	notty

	C:\>bash
	$ echo $CYGWIN32
	notty
	$ exit
	exit

	C:\>echo %CYGWIN32%
	notty

Things now work as expected!

It will  continue to work correctly until the machine is rebooted.
At that point the problem comes back.
I didn't have the problem until after the first time the machine was
booted after setting CYGWIN32 to "notitle tty".

---
Bruce Hunsaker

----
Bruce Hunsaker -- ext 6027

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".